package speiger.src.coreengine.rendering.gui.font.glyth;

public interface GlythData {
	public float advance();
	public float kernling(int codepoint);
	public default float shadowOffset() { return 1F; }
	public Glyth bake(GlythBaker baker);
	
	
	public static record EmptyGlythData(float advance) implements GlythData {
		@Override
		public Glyth bake(GlythBaker baker) { return Glyth.EMPTY; }
		@Override
		public float kernling(int codepoint) { return 0F; }
	}
	
	public static interface GlythBaker {
		Glyth bake(IGlythSheetInfo info);
	}
}