package speiger.src.coreengine.rendering.gui.font.glyth;

import speiger.src.collections.ints.functions.function.Int2FloatFunction;
import speiger.src.collections.ints.maps.impl.hash.Int2FloatOpenHashMap;
import speiger.src.collections.ints.maps.interfaces.Int2FloatMap;

public class GlythDataOld {
	float advance;
	float shadowOffset;
	Int2FloatMap kernlings = new Int2FloatOpenHashMap();
	Int2FloatFunction kernling;
	
	public GlythDataOld(float advance, float shadowOffset, Int2FloatFunction kernling) {
		this.advance = advance;
		this.shadowOffset = shadowOffset;
		this.kernling = kernling;
	}
	
	public GlythDataOld(GlythData glyth) {
		this(glyth.advance(), glyth.shadowOffset(), glyth::kernling);
	}
	
	public float advance() { return advance; }
	public float shadowOffset() { return shadowOffset; }
	public float kernling(int codepoint) { return kernlings.computeFloatIfAbsent(codepoint, kernling); }
}
